using PTMedicalInsurance.FormSetter;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace PTMedicalInsurance.Forms.Setters.CenterQuery
{
    public class GridViewSetter : GridViewSetterBase
    {
        /// <summary>
        /// 设置HIS就诊信息列标题
        /// </summary>
        public void SetHeaderTextOfResult1(DataGridView dgv)
        {
            dgv.AutoGenerateColumns = false;
            dgv.Columns.Clear();
            AddDGVColumn(dgv, "人员编号", "psn_no", 300);
            //AddDGVColumn(dgv, "人员编号", "psn_no", 300);
            AddDGVColumn(dgv, "证件类型", "psn_cert_type", 300);
            AddDGVColumn(dgv, "证件号码", "certno", 300);
            AddDGVColumn(dgv, "医疗类别", "med_type", 300);
            AddDGVColumn(dgv, "定点医药机构编号", "fixmedins_code", 300);
            AddDGVColumn(dgv, "定点医药机构名称", "fixmedins_name", 300);
            AddDGVColumn(dgv, "病种编码", "dise_codg", 300);
            AddDGVColumn(dgv, "病种名称", "dise_name", 300);
            AddDGVColumn(dgv, "诊断编码", "diag_code", 300);
            AddDGVColumn(dgv, "诊断名称", "diag_name", 300);
            AddDGVColumn(dgv, "医保目录编码", "hilist_code", 300);
            AddDGVColumn(dgv, "医保目录名称", "hilist_name", 300);
            AddDGVColumn(dgv, "数量", "cnt", 300);
            AddDGVColumn(dgv, "剂型名称", "dosform_name", 300);
            AddDGVColumn(dgv, "规格", "spec", 300);
            AddDGVColumn(dgv, "单次剂量描述", "sin_dos_dscr", 300);
            AddDGVColumn(dgv, "使用频次描述", "used_frqu_dscr", 300);
            AddDGVColumn(dgv, "周期天数", "prd_days", 300);
            AddDGVColumn(dgv, "用药途径描述", "medc_way_dscr", 300);
            AddDGVColumn(dgv, "开始日期", "begndate", 300);
            AddDGVColumn(dgv, "结束日期", "enddate", 300);
            AddDGVColumn(dgv, "结算时间", "setl_time", 300);
            AddDGVColumn(dgv, "结算ID", "setl_id", 300);

        }

       
    }
}
